\input Head

\section{\tt GetLayer}
\label{getlayer}

% A short (preferably one-line) description of {\tt MyFunction}.

{\tt GetLayer} - CallChain action,
 extracts one data layer from wavelet data.

\subsection{Description}

% A longer description of what {\tt MyFunction} is used for.

{\tt GetLayer} is a CallChain action

\subsection{Operating Instructions}

Syntax: 
\begin{verbatim}
Sequence<Data_type> y = GetLayer(WaveletUDT<Data_type> &x, int n=0)
\end{verbatim}
%
Number of arguments allowed: 1 or 2.\\
%
Arguments:
\begin{itemize}
\item x - wavelet data (WaveletUDT object)
\item n - the number of layer to extract
\end{itemize}

\subsubsection{Example Usage}

% A verbatim block of example code showing proper usage of {\tt
% MyFunction}.

\begin{verbatim}


\end{verbatim}

\subsubsection{Options/Defaults}

% A list of options or defaults for public methods or member data of
% {\tt MyFunction}. 

\begin{itemize}
\item n = 0, means extract approximation layer
\end{itemize}

\subsection{Exceptions}

\subsubsection{Exceptions Thrown}

% A list of exceptions thrown by {\tt MyFunction}.

The Eval method may throw exceptions indicating an invalid action
call syntax.

\subsubsection{Exceptions Handled}

% A list of exceptions handled by {\tt MyFunction}.

None.

\subsection{Algorithms}

% Description of algorithm used in function

None.

\subsection{Accuracy}

% A discussion of issues related to the accuracy of numerical routines
% used by {\tt MyFunction}---e.g., approximations,  argument ranges, etc.

Not relevant.

\subsection{Performance}

% A discussion of issues related to the speed (e.g., $O(N\log N)$) of
% computationally demanding routines used by {\tt MyFunction}.

Not relevant.

\subsection{Testing}

% A description of any test code/test classes that were used to test
% {\tt MyFunction}. 

Tested as part of tWaveletFunctions test.

\subsection{Notes}

% Miscellaneous notes about {\tt MyFunction} that do not appear
% elsewhere, things that remain to be done, etc.  

None.

\subsection{See Also}

% A list of derived classes, base classes, etc.\ closely related to
% {\tt MyFunction}. 

Other related functions:
{\tt WaveletForward}~(\ref{waveletforward}),
{\tt WaveletInverse}~(\ref{waveletinverse}),
{\tt Haar}~(\ref{fun_haar}),
{\tt Biorthogonal}~(\ref{fun_biorthogonal}),
{\tt Daubechies}~(\ref{fun_daubechies}),
{\tt Symlet}~(\ref{fun_symlet}).

\subsection{References}

None.

% A list of references for any algorithms, etc.\ used by {\tt
% MyFunction}. 

\input Tail

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "datacondAPI"
%%% End: 
